Get Job's Payment Details

Use this endpoint to retrieve payment details for a given good type and good ID.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

This endpoint allows you to get all the payment details, including the payment ID for a specific job. With the Payment ID you can get the Payment HTML and PDF receipts using the other endpoints in this section.

{
    "pagination": {
        "current_page": 1,
        "total_pages": 1,
        "total": 3
    },
    "results": [
        {
            "id": 13406102,
            "org_id": 463605,
            "good_id": 18703054,
            "good_data": "3",
            "base_price": 0,
            "base_price_subsidy": 0,
            "discount": null,
            "discount_subsidy": 0,
            "pre_tax_balance_debit": 0,
            "pre_tax_subtotal": 0,
            "balance_debit": 0,
            "total": 0,
            "subtotal": 0,
            "tax": 0,
            "state": "complete",
            "error": null,
            "created_at": "2025-10-22T18:43:34.903Z",
            "updated_at": "2025-10-22T18:43:34.903Z",
            "good_type": "Job",
            "payment_discounts": [],
            "payment_deposits": [],
            "good": {
                "id": 18703054,
                "deliverable_id": 3,
                "name": "Multi-structure Home",
                "location_line_1": "123 Hover Street",
                "location_city": "Longmont",
                "location_region": "CO"
            }
        },
        {
            "id": 13406101,
            "org_id": 463605,
            "good_id": 18703054,
            "good_data": "3",
            "base_price": 0,
            "base_price_subsidy": 0,
            "discount": null,
            "discount_subsidy": 0,
            "pre_tax_balance_debit": 0,
            "pre_tax_subtotal": 0,
            "balance_debit": 0,
            "total": 0,
            "subtotal": 0,
            "tax": 0,
            "state": "complete",
            "error": null,
            "created_at": "2025-10-22T18:43:34.887Z",
            "updated_at": "2025-10-22T18:43:34.887Z",
            "good_type": "Job",
            "payment_discounts": [],
            "payment_deposits": [],
            "good": {
                "id": 18703054,
                "deliverable_id": 3,
                "name": "Multi-structure Home",
                "location_line_1": "123 Hover Street",
                "location_city": "Longmont",
                "location_region": "CO"
            }
        },
        {
            "id": 13406100,
            "org_id": 463605,
            "good_id": 18703054,
            "good_data": "3",
            "base_price": 0,
            "base_price_subsidy": 0,
            "discount": null,
            "discount_subsidy": 0,
            "pre_tax_balance_debit": 0,
            "pre_tax_subtotal": 0,
            "balance_debit": 0,
            "total": 0,
            "subtotal": 0,
            "tax": 0,
            "state": "complete",
            "error": null,
            "created_at": "2025-10-22T18:43:34.870Z",
            "updated_at": "2025-10-22T18:43:34.870Z",
            "good_type": "Job",
            "payment_discounts": [],
            "payment_deposits": [],
            "good": {
                "id": 18703054,
                "deliverable_id": 3,
                "name": "Multi-structure Home",
                "location_line_1": "123 Hover Street",
                "location_city": "Longmont",
                "location_region": "CO"
            }
        }
    ]
}
Path Params
string
required

Required. The good type, in this case "Job".

string
required

Required. The job ID of the job you are trying to get payments for.

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json